Subject: Question about usbc_h3600_dma.c from iPAQ distribution

From: "Chien-Min Lee" <[email-masked]>
Date: Thu, 24 Aug 2000 17:28:44 +0800 (CST)

Dear All:

 I am not sure is it suitable to ask such question here.

 I found the following code in usbc_h3600_dma.c

int disable_dma_sa1100 (dmach_t channel)
{
        int status;
        dma_regs_t * pDMA;
        
        if ( channel >= MAX_USB_CHANNELS )
        {
                printk("enable_dma:Bad channel\n");
                return -1;
        }

        pDMA = DMA[channel];
        status = pDMA->RdDCSR;
        if( !(status & (DCSR_DONEA|DCSR_DONEB)) )
            printk("WARNING : DMA DONEA/B not SET\n");

        /* need to do this for buffers fragments 0 < x < 64 */

        pDMA->ClrDCSR = 0x7f;
        return 0;
}

 I just want to ask what 
 "need to do this for buffer fragments 0<x<64" mean.
 Why clearing DCSR with 0x7f is related to 
 buffer fragments that is large than 0 & less than 64??
 Could someone tell me or give me a hint about it ?

 Thanks

 kirk

----== Mailed via Openfind ==-----
http://mail2000.com.tw/ ���ѧK�O�q�l�l��H�c

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]